-- (C) Copyright International Business Machines Corporation 23 January 
-- 1990.  All Rights Reserved. 
--  
-- See the file USERAGREEMENT distributed with this software for full 
-- terms and conditions of use. 
tracewindow: using(safewindow) definitions
-- program to create tracewindow builder
  opentracewindow_init: callmessage (
    openwindow: safewindowFn, -- access to true open window
    opentracewindow: safewindowFn -- access to open trace window
    )
  constant (openwindow)
  exit{full};
  opentracewindow_initQ: inport of opentracewindow_init {full(openwindow)};
  opentracewindow_initFn: outport of opentracewindow_initQ;

-- tracewindow filter process
  tracewindow_filter_init: callmessage (
    realwindow: terminalCM, -- the pure window
    tracewindow: terminalCM -- the filtered window
    )
  constant()
  exit{full(tracewindow)};
  tracewindow_filter_initQ: inport of tracewindow_filter_init {full(realwindow)};
  tracewindow_filter_initFn: outport of tracewindow_filter_initQ; 
end definitions
